PKGCTL-VERSION-UPGRADE(1)

BEZEICHNUNG
pkgctl-version-upgrade - Passt das PKGBUILD an, so dass es auf die neuste Version der Originalautoren passt

ÜBERSICHT

pkgctl version upgrade [OPTIONEN] [PAKETBASIS…]

BESCHREIBUNG

Glättet den Prozess, mit dem PKGBUILD im Hinblick auf die neuste Version der Originalautoren aktuell gehalten wird.

Bei der Ausführung passt er automatisch die Datei PKGBUILD an. Damit wird sichergestellt, dass das Feld pkgver so gesetzt ist, das es auf die neuste Version passt, die von der Quelle der Originalautoren verfügbar ist. Zusätzlich zur Anpassung der pkgver setzt dieser Befehl auch pkgrel auf 1 zurück und aktualisiert die Prüfsummen.

Gibt eine Zusammenfassung der aktualisierten und der aktuellen Pakete sowie aller fehlgeschlagenen Überprüfungen aus.

Dies vereinfacht die Verwaltung der Dateien PKGBUILD und reduziert den manuellen Aufwand, der zum Nachverfolgen und Umsetzen von Versionsänderungen der Quellen der Originalautoren notwendig ist.

KONFIGURATION

Verwendet nvchecker(1) und eine Datei .nvchecker.toml, die sich bei der PKGBUILD befindet. Lesen Sie den Abschnitt Konfiguration in pkgctl-version(1).

OPTIONEN

--no-update-checksums
    Deaktiviert die Berechnung und Aktualisierung der Prüfsummen.

-v, --verbose
    Zeigt die Ergebnisse einschließlich der aktuellen Versionen an.

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-version(1), nvchecker(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.